#
# See the file "LICENSE" for the full license governing this code.
#
# ora_install_homes.rb
#
require 'puppet_x/enterprisemodules/oracle/facts'

# get inventory location
Facter.add('ora_install_inventory_loc') do
  extend Puppet_X::EnterpriseModules::Oracle::Facts
  setcode do
    get_orainst_loc
  end
end

# get ORACLE_HOME info, versions and patches
Facter.add(:ora_install_homes) do
  extend Puppet_X::EnterpriseModules::Oracle::Facts
  setcode do
    homes_hash
  end
end
