#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function(:'opatch_version') do
  dispatch :opatch_version do
    param 'String', :oracle_home
    return_type 'String'
  end

  def opatch_version(oracle_home)
    scope = closure_scope
    fact = scope['ora_install_homes']
    fact.key?(oracle_home) ? fact[oracle_home]['opatch_version'] : ''
  end
end
